Subject: RE: PWE3 congestion

From: "Eduard Metz" <[email-masked]>
Date: Wed, 19 Feb 2003 09:29:36 +0100

<snipped>

>
> From an end-user perspective, shutting down a service is
> highly undesirable. I agree that excessive packet loss is
> undesirable also, but I would think that the consequent
> actions should be focused on restoring an acceptable service
> level, e.g. through some form of rerouting or protection switching.
>

For some services, e.g. TDM, the user-perception of excessive packet-loss
and a shut down is likely to be the same or similar. Given that some PW
services do not tolerate loss very well, shutting down some of these in a
PSN may be the only way to restore acceptable service levels for the
remaining PW services of the same nature.

<snipped>

> However, the charter of the WG doesn't mention The Internet.
> It mentions PSNs. I think you need to be very careful to
> mandate such safety valves for PSNs in general. E.g. a PSN
> might be under complete control of one single Service
> Provider and hence, for whatever reason, a certain level of
> congestion might be perfectly fine. Also, for whatever
> reason, a Service Provider might prefer to keep a PW up, even
> if packet loss is too high and rerouting is not possible,
> rather than to shut it down.
>

Would you prefer a situation in which the average packet loss per PW is low,
but the service degradation of all PW may be high, over a situation in which
some PW are shut, and the remaining are operating normally?

> To come back to my original point when I joined this email
> threat: I think the discussion should not be: how can we
> lower the traffic load in the network in case of congestion,
> e.g. by shutting down PWs. It should be focused on: what
> tools does a Service Provider need to manage the total
> portfolio of services he supports over his PSN in a manner
> that meets his business needs.
>

IMHO congestion in the end will conflict with business needs, and thus needs
to be relieved. [I think there is at least some basic agreement here ;-)]

Ofcourse measures should be taken to prevent congestion in the first place,
however, in case of network failures (link, node) congestion may still
occur. In these situations mechanisms need to be availabe to relieve
congestion (aka restore acceptable service levels, meet business needs),
also for PW.

Which mechanism to choose for which PW type, when/how these mechanisms
kick-in (and 'kick-out' for that matter) are IMHO the set of "tools" that
are within the scope PWE3 (tools for the remainder service portfolio are
clearly not). I'm curious to which other 'tools' you envision.

cheers,
	Eduard

> Peter
>
>
> -----Original Message-----
> From: Lloyd Wood [mailto:[email-masked]]
> Sent: Tuesday, February 18, 2003 1:03 PM
> To: Busschbach, Peter B (Peter)
> Cc: [email-masked]'
> Subject: RE: [PWE3] PWE3 congestion
>
>
> On Tue, 18 Feb 2003, Busschbach, Peter B (Peter) wrote:
>
> > I am still curious about your views on service delivery. Take a
> > service provider who receives thousands of dollars a months for
> > delivering a TDM service. How would you explain to him that the
> > service is shut down, because "the NSP judges likely services using
> > the PW can't be usefully delivered"
>
> Well, I'd explain that if the service hadn't been shut down, it would
> be unuseable for its intended traffic. I'd explain that the network
> path the service was carried across had not been dimensioned/selected
> appropriately for its intended traffic -- or was being used for
> entirely other traffic than agreed in the SLA with the customer and
> which the NSP was configured for.
>
> Such explanations and implementation specifics are outside the scope
> of PWE3, and outside the scope of the IETF.
>
> The service provider's job is to understand the tools he uses to
> deliver the solution to his customers: their uses, their limitations,
> so that he knows that the service he is selling can be reasonably
> provided and guaranteed. (Which is why they build test networks, etc.)
> This is why the service provider receives those thousands of dollars a
> month.
>
> I am curious about what you think the IETF _does_.
>
> L.
>
> > I still maintain that shutting down a service is not an option for
> > many services carried over PWs. A service provider will need to take
> > action beforehand (i.e. reserve bandwidth for that service) to
> > ensure that congestion does not occur.
> >
> > But if you ignore the commercial aspects of telecommunication, I
> > agree that "Tuning specific NSP types for the traffic/services
> > they're carrying could be a whole ball of implementation-experience
> > fun."
> >
> > Peter
> >
> > -----Original Message-----
> > From: Lloyd Wood [mailto:[email-masked]]
> > Sent: Tuesday, February 18, 2003 11:36 AM
> > To: Busschbach, Peter B (Peter)
> > Cc: [email-masked]'
> > Subject: RE: [PWE3] PWE3 congestion
> >
> >
> > On Tue, 18 Feb 2003, Busschbach, Peter B (Peter) wrote:
> >
> > > Every time I read statements about "shutting down PWs" I
> shudder. In
> > > my view this whole discussion is based on the wrong premise, which
> > > is that congestion is bad and the network needs to solve that
> > > situation autonomously.
> > >
> > > Why would congestion be bad? Isn't that up to the Service Provider
> > > to decide?
> >
> > This is, alas, the Internet Engineering Taskforce.
> >
> > Not the Service Provider Engineering Taskforce (aka the mpls forum).
> >
> > > In general, a Service Provider will use PWs to carry
> > > revenue generating services. Packet loss may be acceptable for
> > > certain services and not for others. If packet loss is to be
> > > avoided, the Service Provider will need to make sure that
> it doesn't
> > > occur, e.g. through bandwidth reservation and rate limiting at the
> > > ingress of his network.
> >
> > shutting down PWs *is* very simple rate limiting at ingress. Ingress
> > to the Internet...
> >
> > > The network should never autonomously decide to throttle
> or shut down PWs.
> >
> > The (inter)network doesn't make the decision;
> throttling/loss happens
> > under congestion as a byproduct anyway. The decision to
> shut down a PW
> > gets made by the NSP if the NSP judges likely services using the PW
> > can't be usefully delivered (e.g. TDM rates not being met).
> >
> > It's not a network decision, because the network is stupid. It's an
> > NSP decision, once you've set your NSP for the PW type and the
> > expected traffic/services over that.
> >
> > Tuning specific NSP types for the traffic/services they're carrying
> > could be a whole ball of implementation-experience fun.
> >
> > L.
> >
> > snipped four list sigs.
>
> <http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 19 Feb 2003 09:17:52 +0000

Busschbach, Peter B (Peter) wrote:
> Lloyd,
> 
> The charter of the PWE3 WG talks about service emulation over a PSN. 
> Therefore, I thought that this WG was focused on the creation of the 
> mechanism and protocols required for an adequate delivery of these 
 > services.

Over the Internet as it is today.

> I hope this answers your question about what I think the IETF _does_
> 
>>From an end-user perspective, shutting down a service is highly 
> undesirable. I agree that excessive packet loss is undesirable also, 
> but I would think that the consequent actions should be focused on 
 > restoring an acceptable service level, e.g. through some form of
> rerouting or protection switching.

So are you advocating that the only PSN that we specify is MPLS-TE?

> 
> Stewart wrote in an earlier email: packet "loss is the Internet's 
> way of crying for help" and he argued for the need of a safety valve. 
> This might be a valid point for the Internet at large. And to your 
> point: if a Service Provider decides to offer PW services over 
> The Internet, then he might need to accept that the service can be 
> shut down.
> 

> However, the charter of the WG doesn't mention The Internet. 

I think that as this is an IETF WG we can take that as read:

Overview of the IETF
The Internet Engineering Task Force (IETF) is a large open
international community of network designers, operators, vendors,
and researchers concerned with the evolution of the Internet
architecture and the smooth operation of the Internet.

> It  mentions PSNs. I think you need to be very careful to mandate such
> safety valves for PSNs in general. E.g. a PSN might be under complete 
> control of one single Service Provider and hence, for whatever reason, 
> a certain level of congestion might be perfectly fine. 

But the concern of the IESG is that PWE3 can and will get connected to
the Internet, and if and when that happens, it must not break the Internet.

> Also, for whatever reason, a Service Provider might prefer to keep a PW 
> up, even if packet loss is too high and rerouting is not possible, 
> To come back to my original point when I joined this email threat: I 
> think the discussion should not be: how can we lower the traffic load 
> in the network in case of congestion, e.g. by shutting down PWs. 
> It should be focused on: what tools does a Service Provider need to 
> manage the total portfolio of services he supports over his PSN in a 
> manner that meets his business needs.
> 

Other than the design of the PWE3-MIB and network management tools
this sounds out of scope.

Stewart

>>>Every time I read statements about "shutting down PWs" I shudder. In
>>>avoided, the Service Provider will need to make sure that it doesn't
>>>The network should never autonomously decide to throttle or shut down PWs.
>>
>>The (inter)network doesn't make the decision; throttling/loss happens
>>under congestion as a byproduct anyway. The decision to shut down a PW